Brivio API reference
Payouts

List processor payouts (settlements) with the charges each one covers (scope: payments:read)

GET
/payouts

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Query Parameters

page?integer

Page number (1-based)

perPage?integer

Page size (max 100)

provider?string

stripe | netopia | revolut | …

status?string

pending | paid | failed | canceled

from?string

arrival_date ≥

Formatdate
to?string

arrival_date ≤

Formatdate
include_items?boolean

Set false to omit the covered charges

Defaulttrue

Response Body

OK

application/json
  1. response
data*array<>
meta?
error*null
curl -X GET "https://example.com/payouts"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "provider": "string",      "external_id": "string",      "payment_provider_config_id": "0861c416-71d8-4157-b9a7-58214f9ebdc8",      "arrival_date": "2019-08-24",      "currency": "string",      "gross": "string",      "fee": "string",      "net": "string",      "status": "string",      "bank_transaction_id": "1f9dd7d7-92dc-4741-b11c-cccf6dd531b2",      "reconciled_at": "2019-08-24T14:15:22Z",      "description": "string",      "created_at": "2019-08-24T14:15:22Z",      "items": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "external_id": "string",          "item_type": "string",          "gross": "string",          "fee": "string",          "net": "string",          "currency": "string",          "invoice_id": "f4c4edb8-11e0-4b33-bcc1-482dc59ebb32",          "external_reference": "string",          "description": "string",          "created_at": "2019-08-24T14:15:22Z"        }      ]    }  ],  "meta": {    "page": 0,    "perPage": 0,    "total": 0,    "totalPages": 0,    "nextCursor": "string"  },  "error": null}